API ReferenceChangelogDiscussions
Log In
API Reference

List tickets

Returns a list of tickets, depending on the filtering conditions specified, with a pagination process.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Payload used to specify the filtering informations

agenciesIds
array of strings

Use this field to filter result on agency. Only ticket of the specified agency will be returned.

agenciesIds
string

If filtered elements number is greater than specified page size, use this field to get the next page of data. The continuation token is returned by the previous request. Filtering parameters must be the same between two requests so that the continuation token can be used.

creatorLogins
array of strings

Use this field to filter result on creator login. Only ticket of the specified login will be returned.

creatorLogins
date-time

Use this field to filter result on creation or modification date depending on useModificationDate value. Only ticket with date lesser or equal will be returned

missionIds
array of strings

Use this field to filter result on mission id. Only ticket of the specified mission id will be returned.

missionIds
int32
1 to 10000
Defaults to 100

Use this field limit the number of elements returned. The number of ticket actually returned can be greater than specified page size due to underlying database paging process. To get all the data corresponding to your filters, you should keep calling the request while response contains a continuation token.

date-time

Use this field to filter result on creation or modification date depending on useModificationDate value. Only ticket with date greater or equal will be returned

statuses
array of strings

Use this field to filter result status.

statuses
Allowed:
boolean

Use this field to specify on which date the filtering is done. If true, it will done on the last updte date, if false, on the creation date.

Headers
boolean
Defaults to false
Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json